<template>
  <div class="q-mt-xl">
    <!---Create button for id of pokemons-->
    <q-input class="q-mb-md" outlined v-model="pokemonInput" label="Enter ID" />
    <q-btn @click="findPokemon()" label="Find" color="negative" />
  </div>
  <div class="q-pa-md row items-start q-gutter-md">
    <q-card class="my-card">
      <q-card-section class="bg-primary text-white">
        <div class="text-h6">Name: {{ pokemonName }}</div>
        <div class="text-h6">Type: {{ pokemonType }}</div>
      </q-card-section>

      <q-separator />

      <q-card-actions align="right">
        <q-img
          :src="url"
          spinner-color="white"
          style="height: 140px; max-width: 150px"
        />
      </q-card-actions>
    </q-card>
  </div>
</template>

<script>
import { defineComponent, ref } from "vue";
import axios from "axios";
export default {
  setup() {
    let pokemonInput = ref(null);
    let pokemonName = ref(null);
    let pokemonType = ref(null);
    let url = ref(null);

    /*Function to get the datas of Pokemon*/
    const getPokemon = () => {
      axios
        .get("https://pokeapi.co/api/v2/pokemon/" + pokemonInput.value)
        .then((response) => {
          pokemonName.value = response.data.forms[0].name;
          pokemonType.value = response.data.types[0].type.name;
          url.value = response.data.sprites.front_default;
        });
    };
    /**Trigger the find button */
    const findPokemon = () => {
      getPokemon();
      pokemonInput.value = null;
    };

    return { pokemonInput, pokemonName, findPokemon, pokemonType, url };
  },
};
</script>
